<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/ActionHarvestCrops.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dad/_action_harvest_crops_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionHarvestCrops.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/dad/_action_harvest_crops_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/dbd/class_action_harvest_crops.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/dbd/class_action_harvest_crops.html">ActionHarvestCrops</a>: <a class="code hl_class" href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/dbd/class_action_harvest_crops.html#a6c83c15c4c849caa070c47b300cc376e">    3</a></span>    PlantBase <a class="code hl_variable" href="../../da/dbd/class_action_harvest_crops.html#a6c83c15c4c849caa070c47b300cc376e">m_Plant</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../da/dbd/class_action_harvest_crops.html#aea194b8fa700976fda92d0c2f82d47ea">    5</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dbd/class_action_harvest_crops.html#aea194b8fa700976fda92d0c2f82d47ea">ActionHarvestCrops</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> = <a class="code hl_class" href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a>.<a class="code hl_variable" href="../../d0/dbd/class_u_a_soft_skills_weight.html#a12c85a26b016b5ac2e99b689204bbcba">PRECISE_MEDIUM</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <span class="comment">/*m_CommandUID = DayZPlayerConstants.CMD_ACTIONFB_INTERACT;</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment">        m_StanceMask = DayZPlayerConstants.STANCEMASK_CROUCH | DayZPlayerConstants.STANCEMASK_ERECT;</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">        m_FullBody = true;*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../da/dbd/class_action_harvest_crops.html#aad73ebe01f80da4e4131ba8092fc104d">   14</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../da/dbd/class_action_harvest_crops.html#aad73ebe01f80da4e4131ba8092fc104d">GetInputType</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../dd/d7f/class_continuous_interact_action_input.html">ContinuousInteractActionInput</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/dbd/class_action_harvest_crops.html#ab1600ae9486b6f4ac2a000b9d6324a62">   19</a></span>    Slot <a class="code hl_function" href="../../da/dbd/class_action_harvest_crops.html#ab1600ae9486b6f4ac2a000b9d6324a62">GetPlantSlot</a>(<a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_class" href="../../df/d7e/class_garden_base.html">GardenBase</a> garden_base;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(garden_base, target.GetObject()))</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            Slot slot;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> selections = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            garden_base.GetActionComponentNameList(target.GetComponentIndex(), selections);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <span class="keywordtype">string</span> selection;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> s = 0; s &lt; selections.Count(); s++)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                selection = selections[s];</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                slot = garden_base.GetSlotBySelection( selection );</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                <span class="keywordflow">if</span> (slot)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">if</span> ( slot &amp;&amp; slot.GetPlant() )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                <span class="keywordflow">return</span> slot;    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">return</span> null;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../da/dbd/class_action_harvest_crops.html#a81a2da7982e5ef53da4e0f697f851f00">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dbd/class_action_harvest_crops.html#a81a2da7982e5ef53da4e0f697f851f00">OnActionInfoUpdate</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> =  <span class="stringliteral">&quot;#harvest&quot;</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        Slot slot = <a class="code hl_function" href="../../da/dbd/class_action_harvest_crops.html#ab1600ae9486b6f4ac2a000b9d6324a62">GetPlantSlot</a>(target);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">if</span> (slot)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <a class="code hl_variable" href="../../da/dbd/class_action_harvest_crops.html#a6c83c15c4c849caa070c47b300cc376e">m_Plant</a> = PlantBase.Cast(slot.GetPlant());</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a>+=  <span class="stringliteral">&quot; &quot;</span> +  MiscGameplayFunctions.GetItemDisplayName(<a class="code hl_variable" href="../../da/dbd/class_action_harvest_crops.html#a6c83c15c4c849caa070c47b300cc376e">m_Plant</a>.GetCropsType());</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../da/dbd/class_action_harvest_crops.html#a234f7d2812b39c3689280a9427747db7">   60</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dbd/class_action_harvest_crops.html#a234f7d2812b39c3689280a9427747db7">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a>(<a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#a57c8e1138ae73838e95b277413124c5d">SMALL</a>);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../da/dbd/class_action_harvest_crops.html#aafb071d09cde5162a61cf8dd8016b61b">   66</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/dbd/class_action_harvest_crops.html#aafb071d09cde5162a61cf8dd8016b61b">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_class" href="../../df/d7e/class_garden_base.html">GardenBase</a> garden_base;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(garden_base, target.GetObject()))</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            Slot slot = <a class="code hl_function" href="../../da/dbd/class_action_harvest_crops.html#ab1600ae9486b6f4ac2a000b9d6324a62">GetPlantSlot</a>(target);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <span class="keywordflow">if</span> (slot)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>                <a class="code hl_variable" href="../../da/dbd/class_action_harvest_crops.html#a6c83c15c4c849caa070c47b300cc376e">m_Plant</a> = PlantBase.Cast(slot.GetPlant());</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>                <span class="keywordtype">bool</span> is_mature = <a class="code hl_variable" href="../../da/dbd/class_action_harvest_crops.html#a6c83c15c4c849caa070c47b300cc376e">m_Plant</a>.IsMature();</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                <span class="keywordtype">bool</span> is_spoiled = <a class="code hl_variable" href="../../da/dbd/class_action_harvest_crops.html#a6c83c15c4c849caa070c47b300cc376e">m_Plant</a>.IsSpoiled();</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                <span class="keywordtype">bool</span> has_crops = <a class="code hl_variable" href="../../da/dbd/class_action_harvest_crops.html#a6c83c15c4c849caa070c47b300cc376e">m_Plant</a>.HasCrops();</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                <span class="keywordtype">int</span> plant_state = <a class="code hl_variable" href="../../da/dbd/class_action_harvest_crops.html#a6c83c15c4c849caa070c47b300cc376e">m_Plant</a>.GetPlantState();</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                <span class="keywordflow">if</span> ( is_mature &amp;&amp; has_crops )</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../da/dbd/class_action_harvest_crops.html#a076ee95bd7ec0217e38127f1dd62582a">   91</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dbd/class_action_harvest_crops.html#a076ee95bd7ec0217e38127f1dd62582a">OnExecuteServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../da/dbd/class_action_harvest_crops.html#a6c83c15c4c849caa070c47b300cc376e">m_Plant</a> )</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <a class="code hl_variable" href="../../da/dbd/class_action_harvest_crops.html#a6c83c15c4c849caa070c47b300cc376e">m_Plant</a>.Harvest( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a> );</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().AddSpecialty( <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> );</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a37c66588f056fd9eb9eb3a4c4890083d"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a></div><div class="ttdeci">protected float m_SpecialtyWeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00068">ActionBase.c:68</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_harvest_crops_html"><div class="ttname"><a href="../../da/dbd/class_action_harvest_crops.html">ActionHarvestCrops</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/_action_harvest_crops_8c_source.html#l00001">ActionHarvestCrops.c:2</a></div></div>
<div class="ttc" id="aclass_action_harvest_crops_html_a076ee95bd7ec0217e38127f1dd62582a"><div class="ttname"><a href="../../da/dbd/class_action_harvest_crops.html#a076ee95bd7ec0217e38127f1dd62582a">ActionHarvestCrops::OnExecuteServer</a></div><div class="ttdeci">override void OnExecuteServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/_action_harvest_crops_8c_source.html#l00091">ActionHarvestCrops.c:91</a></div></div>
<div class="ttc" id="aclass_action_harvest_crops_html_a234f7d2812b39c3689280a9427747db7"><div class="ttname"><a href="../../da/dbd/class_action_harvest_crops.html#a234f7d2812b39c3689280a9427747db7">ActionHarvestCrops::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/_action_harvest_crops_8c_source.html#l00060">ActionHarvestCrops.c:60</a></div></div>
<div class="ttc" id="aclass_action_harvest_crops_html_a6c83c15c4c849caa070c47b300cc376e"><div class="ttname"><a href="../../da/dbd/class_action_harvest_crops.html#a6c83c15c4c849caa070c47b300cc376e">ActionHarvestCrops::m_Plant</a></div><div class="ttdeci">PlantBase m_Plant</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/_action_harvest_crops_8c_source.html#l00003">ActionHarvestCrops.c:3</a></div></div>
<div class="ttc" id="aclass_action_harvest_crops_html_a81a2da7982e5ef53da4e0f697f851f00"><div class="ttname"><a href="../../da/dbd/class_action_harvest_crops.html#a81a2da7982e5ef53da4e0f697f851f00">ActionHarvestCrops::OnActionInfoUpdate</a></div><div class="ttdeci">override void OnActionInfoUpdate(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/_action_harvest_crops_8c_source.html#l00046">ActionHarvestCrops.c:46</a></div></div>
<div class="ttc" id="aclass_action_harvest_crops_html_aad73ebe01f80da4e4131ba8092fc104d"><div class="ttname"><a href="../../da/dbd/class_action_harvest_crops.html#aad73ebe01f80da4e4131ba8092fc104d">ActionHarvestCrops::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/_action_harvest_crops_8c_source.html#l00014">ActionHarvestCrops.c:14</a></div></div>
<div class="ttc" id="aclass_action_harvest_crops_html_aafb071d09cde5162a61cf8dd8016b61b"><div class="ttname"><a href="../../da/dbd/class_action_harvest_crops.html#aafb071d09cde5162a61cf8dd8016b61b">ActionHarvestCrops::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/_action_harvest_crops_8c_source.html#l00066">ActionHarvestCrops.c:66</a></div></div>
<div class="ttc" id="aclass_action_harvest_crops_html_ab1600ae9486b6f4ac2a000b9d6324a62"><div class="ttname"><a href="../../da/dbd/class_action_harvest_crops.html#ab1600ae9486b6f4ac2a000b9d6324a62">ActionHarvestCrops::GetPlantSlot</a></div><div class="ttdeci">Slot GetPlantSlot(ActionTarget target)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/_action_harvest_crops_8c_source.html#l00019">ActionHarvestCrops.c:19</a></div></div>
<div class="ttc" id="aclass_action_harvest_crops_html_aea194b8fa700976fda92d0c2f82d47ea"><div class="ttname"><a href="../../da/dbd/class_action_harvest_crops.html#aea194b8fa700976fda92d0c2f82d47ea">ActionHarvestCrops::ActionHarvestCrops</a></div><div class="ttdeci">void ActionHarvestCrops()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/_action_harvest_crops_8c_source.html#l00005">ActionHarvestCrops.c:5</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00054">ActionInteractBase.c:55</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_cursor_html"><div class="ttname"><a href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00001">CCTCursor.c:2</a></div></div>
<div class="ttc" id="aclass_continuous_interact_action_input_html"><div class="ttname"><a href="../../dd/d7f/class_continuous_interact_action_input.html">ContinuousInteractActionInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00521">ActionInput.c:522</a></div></div>
<div class="ttc" id="aclass_garden_base_html"><div class="ttname"><a href="../../df/d7e/class_garden_base.html">GardenBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d42/_garden_plot_8c_source.html#l00001">GardenPlot.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_a57c8e1138ae73838e95b277413124c5d"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#a57c8e1138ae73838e95b277413124c5d">UAMaxDistances::SMALL</a></div><div class="ttdeci">const float SMALL</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00103">ActionConstants.c:103</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00115">ActionConstants.c:116</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html_a12c85a26b016b5ac2e99b689204bbcba"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html#a12c85a26b016b5ac2e99b689204bbcba">UASoftSkillsWeight::PRECISE_MEDIUM</a></div><div class="ttdeci">const float PRECISE_MEDIUM</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00121">ActionConstants.c:121</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../da/dad/_action_harvest_crops_8c.html">ActionHarvestCrops.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
